Obj = :objects:
AOptions =
POptions =
LinkOptions = -l

vers 		= temp

Examp	= 	{Obj}Example.a.o {Obj}Example.p.o

{Obj} Ä :

.a.o	Ä	.a
	echo "Assembling {DepDir}{Default}.a"
	{Asm} {AOptions} {DepDir}{Default}.a -o {TargDir}{Default}.a.o
	
.p.o	Ä	.p
	echo "Compiling {DepDir}{Default}.p"
	{Pascal} {POptions} {DepDir}{Default}.p -o {TargDir}{Default}.p.o
	

'Example Translator' Ä {Obj}Example.tmp Example.r Example.rsrc Example.make
	echo "Building Example Translator v{vers}"
	echo "/* Signature resource build file */" >{Obj}signature.r
	echo "type 'exmp' as 'STR ';" >>{Obj}signature.r
	echo "resource 'exmp' (0,purgeable) ¶{ " >>:objects:signature.r
	echo "¶"Example Translator, v{vers}, `date -d`¶"" >>{Obj}signature.r
	echo "¶};" >>{Obj}signature.r
	rez types.r Example.r ¶
		-t VISA -c exmp ¶
		-o 'Example Translator'
	setfile -a Bi 'Example Translator'
	(beep 880; beep 1320)

{Obj}Example.tmp Ä {Examp}
	echo "Linking Example Translator"
	Link {LinkOptions} {Examp} ¶
		"{PLibraries}"Paslib.o ¶
		"{Libraries}"Interface.o ¶
		-rt MCMC=4000 -ra Main=0 -rn  ¶
		-t 'TEMP' -c '????' ¶
		-o :objects:Example.tmp >{Obj}Examp.map
